import java.io.*;
import java.util.*;

public class race_sm_int {
	int gcd(int a, int b) {
		if (b == 0)
			return a;
		return gcd(b, a % b);
	}

	class Frac {
		int a, b;

		public Frac(int a, int b) {
			super();
			int g = gcd(a, b);
			this.a = a / g;
			this.b = b / g;
		}

		public Frac add(Frac f) {
			return new Frac(a * f.b + f.a * b, b * f.b);
		}

	}

	Frac solve(int t, int v, int x0) {
		int p1 = t * v;
		int a = x0 / p1;
		int b = x0 % p1;
		if (b == 0) {
			return new Frac((2 * a - 1) * t, 1);
		} else {
			return new Frac((2 * a) * t, 1).add(new Frac(b, v));
		}
	}

	void solve() throws IOException {
		int t1 = nextInt();
		assert 1 <= t1 && t1 <= 1000;
		int v1 = nextInt();
		assert 1 <= v1 && v1 <= 1000;
		int t2 = nextInt();
		assert 1 <= t2 && t2 <= 1000;
		int v2 = nextInt();
		assert 1 <= v2 && v2 <= 1000;
		int x = nextInt();
		assert 1 <= x && x <= 1000000;
		Frac f1 = solve(t1, v1, x);
		Frac f2 = solve(t2, v2, x);
		int r = f1.a * f2.b - f2.a * f1.b;
		if (r < 0) {
			out.println("First");
		}else if (r == 0) {
			out.println("Draw");
		}else{
			out.println("Second");
		}

	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;

	final String filename = "race";

	public void run() {
		try {
			br = new BufferedReader(new FileReader(filename + ".in"));
			out = new PrintWriter(filename + ".out");
			solve();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	String nextToken() {
		try {
			while (st == null || !st.hasMoreTokens()) {
				String s = br.readLine();
				if (s == null) {
					return null;
				}
				st = new StringTokenizer(s);
			}
			return st.nextToken();
		} catch (IOException e) {
			throw new RuntimeException();
		}
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	

	public static void main(String[] args) {
		new race_sm_int().run();
	}
}
